## nfft 3.5.3

=== debian/changelog ===
nfft (3.5.3-5) unstable; urgency=medium

  * Team upload.
  * Move away from pkg-config into new pkgconf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2024 14:30:41 +0200

nfft (3.5.3-4) unstable; urgency=medium

  * Team upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Add loong64 support to libnfft3-long4 (Closes: #1074255)

  [ Gianfranco Costamagna ]
  * Add Breaks/Replaces/Provides libnfft3-long2 (Closes: #1063922).
    Thanks Daniel Vacek and Helmut Grohne
  * Add patch to workaround a gcc-14 failure due to
    -Wincompatible-pointer-types (Closes: #1081084)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2024 09:44:54 +0200

nfft (3.5.3-3) unstable; urgency=medium

  * Team upload.
  * Do not report RC candidates in watch file

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2024 12:37:39 +0100

nfft (3.5.3-2) unstable; urgency=medium

  * Team upload.
  * Do not build with -march=native
    Closes: #1016377
  * Rename packages according to SONAME change
    Closes: #1016379
  * Provide Julia interface in separate package
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Fix doc installation
    Closes: #1016378

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jan 2024 09:52:32 +0100

nfft (3.5.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix VCS fields
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Enable dh_missing --fail-missing
  * Enable running autopkgtest script on local machine

  [ Ileana Dumitrescu ]
  * New upstream version 3.5.3
  * Removed doxygen patch (fixed in upstream)
  * Removed patches folder (doxygen patch was the only patch before)

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jul 2022 09:40:27 +0200
