=== debian/control ===
Source: nfft
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libcunit1-dev,
               libfftw3-dev,
               libncurses-dev,
               pkgconf
Build-Depends-Indep: doxygen
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/nfft
Vcs-Git: https://salsa.debian.org/science-team/nfft.git
Homepage: https://www-user.tu-chemnitz.de/~potts/nfft
Rules-Requires-Root: no

Package: libnfft3-double4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libnfft3-double2 (<= 3.5.3-1)
Replaces: libnfft3-double2 (<= 3.5.3-1)
Description: library for computing non-uniform Fourier transforms (double precision)
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 .
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 .
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 .
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the shared library compiled with double precision.

Package: libnfft3-single4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libnfft3-single2 (<= 3.5.3-1)
Replaces: libnfft3-single2 (<= 3.5.3-1)
Description: library for computing non-uniform Fourier transforms (single precision)
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 .
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 .
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 .
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the shared library compiled with single precision.

Package: libnfft3-long4
Architecture: amd64 arm64 hurd-i386 i386 loong64 mips64el powerpc ppc64el s390x x32
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libnfft3-long2
Breaks: libnfft3-long2 (<= 3.5.3-1)
Replaces: libnfft3-long2 (<= 3.5.3-1)
Description: library for computing non-uniform Fourier transforms (long-double precision)
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 .
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 .
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 .
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the shared library compiled with long-double precision.

Package: libnfft3-julia
Architecture: amd64 arm64 hurd-i386 i386 loong64 mips64el powerpc ppc64el s390x x32
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for computing non-uniform Fourier transforms (julia interface)
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 .
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 .
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 .
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the julia interface..

Package: libnfft3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libfftw3-dev,
         libnfft3-double4 (= ${binary:Version}),
         libnfft3-long4 (= ${binary:Version}) [amd64 arm64 hurd-i386 i386 loong64 mips64el powerpc ppc64el s390x x32],
         libnfft3-single4 (= ${binary:Version})
Suggests: libnfft3-doc
Description: development files for the NFFT library
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 .
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 .
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 .
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the development files for the NFFT library.

Package: libnfft3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for the NFFT library
 NFFT3 is a software library written in C for computing nonequispaced fast
 Fourier and related transformations. In detail, NFFT3 implements:
 .
 1) The nonequispaced fast Fourier transform (NFFT)
    - the forward transform (NFFT)
    - the adjoint transform (adjoint NFFT)
 .
 2) Generalisations of the NFFT
    - to arbitrary knots in time and frequency domain (NNFFT)
    - to the sphere S^2 (NFSFT)
    - to the hyperbolic cross (NSFFT)
    - to real-valued data, i.e. (co)sine transforms, (NFCT, NFST)
    - to the rotation group (NFSOFT)
 .
 3) Generalised inverses based on iterative methods, e.g. CGNR, CGNE
 .
 4) Applications in
    - medical imaging
         (i) magnetic resonance imaging
        (ii) computerised tomography
    - summation schemes
          (i) fast Gauss transform (FGT)
         (ii) singular kernels
        (iii) zonal kernels
    - polar FFT, discrete Radon transform, ridgelet transform
 .
 This package provides the documentation for the NFFT library.
