=== debian/tests/control ===
Tests: build-examples
Depends: build-essential,
         libnfft3-dev,
         pkgconf
Restrictions: allow-stderr
